Bug 979240 - kdump saved vmcore didnt used system timezone
kdump saved vmcore didnt used system timezone
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kexec-tools (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: WANG Chao
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 23:34 EDT by Xiaoqing Wei
Modified: 2015-02-08 16:44 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-14 09:34:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaoqing Wei 2013-06-27 23:34:42 EDT
Description of problem:

setting the machine to CST timezone then trigger a kdump, the dir under /var/crash is not named using CST timezone

Version-Release number of selected component (if applicable):
kexec-tools-2.0.4-2.el7.x86_64
3.10.0-0.rc6.63.el7.x86_64
How reproducible:

100%

Steps to Reproduce:
1. install a host using ks and set timezone to below
grep -i time /root/anaconda-ks.cfg 
# System timezone
timezone Asia/Shanghai --isUtc 
2. trigger a kdump
3.

Actual results:
# ll /var/crash
total 0
drwxr-xr-x. 2 root root 42 Jun 26 18:22 127.0.0.1-2013.06.26-09:54:43
drwxr-xr-x. 2 root root 42 Jun 27 11:04 127.0.0.1-2013.06.26-11:23:08
                           ^^^^^^^^^^^^ 
the FS timestamp using system timezone            ^^^^^^
                                                  the folders isn't, so the kexecing kernel didn't used the system timezone.

Expected results:

tested on a rhel6 machine, kexecing kernel used system timezone

[root@dhcp-10-30 ~]# grep -i time /root/anaconda-ks.cfg 
timezone --utc Asia/Shanghai
[root@dhcp-10-30 ~]# ll /var/crash/
total 4
drwxr-xr-x. 2 root root 4096 Jun 28 11:20 127.0.0.1-2013-06-28-11:19:58
[root@dhcp-10-30 ~]# uname -r
2.6.32-220.39.1.el6.x86_64

Additional info:
Comment 2 WANG Chao 2013-10-14 09:34:50 EDT
We have fixed it in kexec-tools-2.0.4-7. So I'm closing this bz. Feel free to reopen it if you meet this issue again.

Note You need to log in before you can comment on or make changes to this bug.